Subject: bug#25974: closed (Re: bug#25974: [PATCH 0/2] gnu: nss: Skip failing test on armhf.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Mar 2017 15:27:02 +0000

Your bug report

#25974: [PATCH 0/2] gnu: nss: Skip failing test on armhf.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25974: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25974
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25974: [PATCH 0/2] gnu: nss: Skip failing test on armhf.
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Mar 2017 16:26:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Leo Famulari <[email-masked]> skribis:
>
>> On Mon, Mar 06, 2017 at 11:16:43PM +0100, Marius Bakke wrote:
>>> So it appears to be a problem with the build host rather than NSS
>>> itself. Can you try starting it again? I guess the best solution is
>>> increasing capacity of the build farm...
>>
>> I restarted it again.
>
> NSS seems to build fine now:
>
>   https://hydra.gnu.org/job/gnu/master/nss-3.29.2.x86_64-linux

Finally! :)

>
> (The job was marked as failed due a transient error or something while
> retrieving the result, but the derivation built successfully:
> <https://mirror.hydra.gnu.org/qqy7vwlaajycsbh53pcdab4xs3papbx5.narinfo>
> and
> <https://mirror.hydra.gnu.org/vv78nq50j3k6v1rwi58vbpz7fynpc59h.narinfo>.)
>
> Should we close this bug?

Closed!

Subject: [PATCH 0/2] gnu: nss: Skip failing test on armhf.
From: Marius Bakke <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>
Date: Sun, 5 Mar 2017 15:47:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Patch 2/2 in this series conditionally skips the failing test on armhf.
Unfortunately patch 1/2 will rebuild nss on all platforms; I could not
figure out how to achieve the same without 'modify-phases'.

Is this acceptable, or should we downgrade nspr and nss again?

Marius Bakke (2):
  gnu: nss: Use 'modify-phases' syntax.
  gnu: nss: Skip failing test on armhf.

 gnu/local.mk                                   |   1 +
 gnu/packages/gnuzilla.scm                      | 109 ++++++++++++++-----------
 gnu/packages/patches/nss-skip-test-armhf.patch |  17 ++++
 3 files changed, 78 insertions(+), 49 deletions(-)
 create mode 100644 gnu/packages/patches/nss-skip-test-armhf.patch

-- 
2.12.0